Articles of yum

Centos 7: ошибка обновления yum Ошибка обновления glib2

Я попытался запустить обновление на моем компьютере CentOS и столкнулся с проблемой. В последний раз я запускал обновление в 2018-01, а затем вчера, 2018-06-19 # yum update … –> Finished Dependency Resolution Error: Package: 1:NetworkManager-1.10.2-14.el7_5.x86_64 (updates) Requires: glib2 >= 2.54.2 Installed: glib2-2.50.3-3.el7.x86_64 (@base) glib2 = 2.50.3-3.el7 Error: Package: 1:NetworkManager-glib-1.10.2-14.el7_5.x86_64 (updates) Requires: libdbus-1.so.3(LIBDBUS_1_3)(64bit) Error: Package: python2-ipalib-4.5.4-10.el7.centos.1.noarch […]

Удаление Firefox в RHEL5.8

Я столкнулся с одной проблемой при удалении Firefox на RHEL 5.8. Пожалуйста, найдите мой рабочий раунд ниже, чтобы предложить полностью удалить пакет Firefox. [root@dev170app ~]# cat /etc/redhat-release Red Hat Enterprise Linux Server release 5.8 (Tikanga) [root@dev170app ~]# rpm -qa | grep -i firefox firefox-3.6.26-1.0.1.el5_7 firefox-3.6.26-1.0.1.el5_7 [root@dev170app ~]# rpm -e firefox-3.6.26-1.0.1.el5_7 error: “firefox-3.6.26-1.0.1.el5_7” specifies multiple packages […]

Как добавить хранилище yum вручную?

Я пытаюсь добавить repository продуктов Intel в dnf, создав файл .repo но когда я запускаю dnf repolist я получаю эту ошибку: Failed to synchronize cache for repo ‘intel-products’, disabling. Мой файл intel-products.repo в /etc/yum.repos.d выглядит так: [intel-products] name=intel-products baseurl=https://yum.repos.intel.com/setup/intelproducts.repo enabled=1 gpgcheck=1 gpgkey=https://yum.repos.intel.com/intel-gpg-keys/GPG-PUB-KEY-INTEL-SW-PRODUCTS-2019.PUB Что не так с этим файлом? Обновление 1 Как предлагается в комментариях, я […]

Почему rpm или dnf не распознают perl по умолчанию?

У меня есть пакет rpm который я создал, который зависит от perl . Когда я пытаюсь установить этот пакет, он терпит неудачу: $ rpm -ivh error: Failed dependencies: perl is needed by package-y.x86_64 Если я запускаю dnf info perl это показывает, что perl не установлен, но я могу найти perl в моей системе: which perl […]

Yum with crontab – «Другое приложение в настоящее время удерживает блокировку yum»

Я хочу использовать crontab для запуска скрипта для обновлений yum. Проблема в том, что, кажется, он запустит скрипт один раз, а затем yum просто застрянет на некоторое время (и больше не сможет запускаться). Я получаю эту ошибку: $ sudo yum update Existing lock /var/run/yum.pid: another copy is running as pid 5248. Another app is currently […]

Ошибка обновления MySQL 5.5 до 5.6 CentOS 6.6

Я хочу обновить MySQL 5.5 до 5.6 на моем сервере CentOS 6.6, и я получаю сообщение об ошибке после команды yum update mysql согласно приведенному ниже выводу. Я следую за руководством здесь . Я также попытался исправить проблему, используя дальнейшее руководство по устранению неполадок здесь , к сожалению, это не решило проблему. Ошибка вывода Error: […]

Почему репо не переустанавливается после удаления из /etc/yum.repos.d?

Я удалил репо, удалив его файл из /etc/yum.repos.d используя rm -rf . Затем я попытался установить тот же repository с помощью dnf install но он не отображается в /etc/yum.repos.d или при запуске dnf repolist . Я предполагаю, что есть вероятность, что пакет все еще может быть сохранен в кеше dnf , поэтому я попытался очистить […]

Как отобразить пакеты Yum Local Repo в древовидных структурах на основе зависимости?

Я сделал локальное репо, загрузив пакеты и их зависимости с помощью опции yum with download only, и перенаправил все загруженные пакеты в определенную папку, а затем запустил команду createrepo для создания реподанных. Теперь репо готово, и я использовал его для загрузки в автономном режиме, но теперь мне нужно отобразить все пакеты в этом локальном репо […]

yum не работает после ввода команды в RHEL 7

Я ввел в команду: $ rpm -e –nodeps python и после этого я получаю это, когда пытаюсь войти во что-то с yum : -bash: /bin/yum: /usr/bin/python: bad interpreter: No such file or directory Итак, каков наилучший способ вернуть yum поскольку он сломался после ввода в rpm -e –nodeps python ?

ням установить openssl-devel не удалось

Запуск yum install openssl-devel приводит к ошибкам проверки зависимостей и не устанавливает его. Я предполагаю, что в моих репозиториях есть проблема, однако я не знаю, что не так с моей установленной версией CentOS (версия Linux release 7.5.1804 ), но мне обычно нужно запускать yum с параметром –skip-broken parmeter. Я думаю, что я должен установить приоритет […]